Hi,

I'm encountering several things with dkpg, apt and the sources list. I'm running BT5 R3 on a dedicated laptop and hdd. See below for what I encounter:

1. Some source libraries don't load and update.
Code:
root@bt:~# apt-get update

snip....

W: Failed to fetch http://updates.repository.backtrack-linux.org/dists/revolution/Release  Unable to find expected entry 'main/source/Sources' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://64.repository.backtrack-linux.org/dists/revolution/Release  Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.
2. Errors with apt-get upgrade. Probably because of the problems with the sources libraries.

Code:
root@bt:~# apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? 
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 7553 package 'magictree':
 error in Version string 'r1643-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 20998 package 'udptunnel':
 error in Version string 'r19-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 26646 package 'untidy':
 error in Version string 'beta2-bt1': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 30113 package 'pwntcha':
 error in Version string 'rev4780-bt3': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 35565 package 'android-sdk':
 error in Version string 'r20.0.1-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 49775 package 'webslayer':
 error in Version string 'rev5-bt0': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 55248 package 'wifite':
 error in Version string 'r85-bt1': version number does not start with digit
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 55786 package 'protos-sip':
 error in Version string 'r2-bt1': version number does not start with digit
Setting up ruby1.8 (1.8.7.352-2ubuntu1.1) ...
update-alternatives: error: alternative rdoc can't be slave of ruby: it is a master alternative.
dpkg: error processing ruby1.8 (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 ruby1.8
E: Sub-process /usr/bin/dpkg returned an error code (1)
I have been trying several things, but can find something to repair this. So any help is appreciated.